Delete an agent association
DELETE
/api/v1/agent_association/{agent_association_id}
const url = 'https://app.prefactorai.com/api/v1/agent_association/013xrzp12g3nqk8ns6jadrqmpgrjkeny';const options = { method: 'DELETE', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: 'null'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://app.prefactorai.com/api/v1/agent_association/013xrzp12g3nqk8ns6jadrqmpgrjkeny \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data nullAuthorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”agent_association_id
required
AgentAssociation_Id
A valid agent association ID
string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkenyRequest Body
Section titled “Request Body”Responses
Section titled “Responses”Success
Media typeapplication/json
object
details
required
AgentAssociation_Details
object
account_id
required
Account_Id
A valid account ID
string
association_type
required
Kind of association. For judge, from_agent is the judge and to_agent is the agent it scores
string
from_agent_id
required
Agent_Id
A valid agent ID
string
id
required
AgentAssociation_Id
A valid agent association ID
string
inserted_at
required
When the association was created
string format: date-time
to_agent_id
required
Agent_Id
A valid agent ID
string
trigger
required
When the association runs: on_demand or on_completion. There is no default
string
type
required
Type of resource (always ‘agent_association’)
string
updated_at
required
When the association was last updated
string format: date-time
status
required
Response status when the operation succeeds
string
Example
{ "details": { "account_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "association_type": "judge", "from_agent_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "inserted_at": "2024-01-01T00:00:00Z", "to_agent_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny", "trigger": "on_demand", "type": "agent_association", "updated_at": "2024-01-01T00:00:00Z" }, "status": "success"}default
Section titled “default”Error
Media typeapplication/json
One of:
object
code
required
string
message
required
string
status
required
string
object
code
required
string
errors
required
object
key
additional properties
object recursive
message
required
string
status
required
string
object
code
required
string
message
required
string
retry_after_ms
required
Milliseconds until the client may retry.
integer
status
required
string
object
code
required
string
latest_revision_id
required
KnowledgebaseDocumentRevision_Id
A valid knowledgebase document revision ID
string
message
required
string
status
required
string
Example
{ "code": "bad_request", "status": "error"}